Bug 243825 - control-cursor_key returns wrong esc-sequence
control-cursor_key returns wrong esc-sequence
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-12 04:50 EDT by Pavel Lisy
Modified: 2008-06-16 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Lisy 2007-06-12 04:50:07 EDT
Description of problem:
On previous versions of Fedora, I've been able to use the key combinations
Ctrl-<right-arrow> and Ctrl-<left-arrow> to move the cursor to the next and
previous words in Vim. On F7, these key strokes result in the text "1;5C" (for
the right arrow) and "1;5D" (for the left arrow) being placed in to the buffer.

Version-Release number of selected component (if applicable):
gnome-terminal: 2.18.0-1.fc7
vim-common: 7.0.235-1.fc7


How reproducible:
always

Steps to Reproduce:
1. start vim in gnome-terminal
2. type i and any sequence of letters
3. press <Ctrl-Left>
  
Actual results:
Added 1;5D to line above previous typed text

Expected results:
skip to begin of last word

Additional info:
It seems like mainstream bug in gnome-terminal, work in vim in xterm is OK.
Ubuntu 7.04 has the same problem with gnome-terminal and vim.
see: 
https://bugs.launchpad.net/ubuntu/+source/vim/+bug/89660
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/89235

It is really annoying especially if you need edit many files on different
machines through ssh.


I suppose that problem is this:
After press <Ctrl-Left> gnome-terminal returns ^[O1;5D (EscapeO;5D) instead of 
^[1;5D (Escape;5D) like in Fedora Core 6. (Upper "o" letter is added)

Workaround is this:
add to .vimrc on machine where you edit file in vim.

map ^[O1;5C <C-Right>
imap ^[O1;5C <C-Right>
map ^[O1;5D <C-Left>
imap ^[O1;5D <C-Left>

Press this:
CTRL+v
ESC
O
1
;
5
C

etc...

But this is not good if you need edit many files on different machines through ssh.
Comment 1 Aleksey Klimov 2007-07-02 08:36:16 EDT
Combinations Shift-<right-arrow>, Shift-<left-arrow>, Shift-<up-arrow>,
Shift-<down-arrow> not work in MC when file opened on internal editor. It
actions insert "1;2C".
Comment 2 Bug Zapper 2008-05-14 09:01:07 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:33:18 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.